package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.OcpApiRequirementApproval;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface OcpApiRequirementApprovalMapper extends BaseMapper<OcpApiRequirementApproval> {

    /**
     * 根基code获取对象id
     * @param apiCode
     * @return
     */
    List<OcpApiRequirementApproval> selectByCodes(String apiCode);

    //根据apiCode和lastApprovalStats获取对象
    List<OcpApiRequirementApproval> selectByLast(String apiCode, Long lastApprovalStats);

    OcpApiRequirementApproval selectByReqCodes(String requirementCode);
}
