package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.OcpApiRequirement;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface OcpApiRequirementMapper extends BaseMapper<OcpApiRequirement> {


    //根据rrequirementCode获取ocp_api_requirement表中requirement_type字段类型
    OcpApiRequirement selectbyCode(String requirementCode);


    //根据apiCode获取OcpApiRequirement对象
    OcpApiRequirement selectByCodes(String apiCode);
}
