package com.pms.ocp.model.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("拓展图封装类")
public class PhotoDto {

    @ApiModelProperty("模型名称")
    private  String title;

    @ApiModelProperty("模型表(表的英文名称)表的英文名称")
    private String ModelTable;

    @ApiModelProperty("出参")
    private List<String> outPutList;

    @ApiModelProperty("入参")
    private List<String> inPutList;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getModelTable() {
        return ModelTable;
    }

    public void setModelTable(String modelTable) {
        ModelTable = modelTable;
    }

    public List<String> getOutPutList() {
        return outPutList;
    }

    public void setOutPutList(List<String> outPutList) {
        this.outPutList = outPutList;
    }

    public List<String> getInPutList() {
        return inPutList;
    }

    public void setInPutList(List<String> inPutList) {
        this.inPutList = inPutList;
    }
}
