package com.pms.ocp.model.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.List;

/**
 * @author huxiuwu
 * @version 1.0
 * @date 2022/4/7 11:13
 */
@Data
public class ModelPropInfo {
    /**
     * 模型名称
     */
    private String modelName;
    /**
     * 模型名称英文
     */
    private String modelTable;
    /**
     * 模型编码
     */
    @JsonIgnore
    private String modelCode;
    /**
     * 字段list
     */
    /**
     * 是否校验通过
     */
    private boolean isCheck;
    private List<PropInfo> propList;
}
