package com.pms.ocp.model.entity;

import lombok.Data;

import java.util.Date;
import java.util.UUID;

/**
 * @author huxiuwu
 * @version 1.0
 * @date 2022/4/7 11:18
 */
@Data
public class PropInfo {

    /**
     * 模型
     */
    private String modelCode="";
    /**
     * 主键
     */
    private String objId = UUID.randomUUID().toString();

    /**
     * 字段名称
     */
    private String propName="";

    /**
     * 字段类型
     */
    private String propType;

    /**
     * 数字长度
     */
    private Integer propLength;

    /**
     * 是否相同
     */
    private  boolean isSame;
    /**
     * 属性描述
     */
    private String columnComments;

    /**
     * 是否主键
     */
    private Integer isPk;

    /**
     * 模型版本号
     */
    private String modelVersion;

    /**
     * 属性编码
     */
    private String propCode;

    /**
     * 数据精度
     */
    private Integer dataScale;

    /**
     * 是否必填
     */
    private Integer isRequired;

    /**
     * 显示顺序
     */
    private Integer propOrderNo;

    /**
     * 提交人id
     */
    private String propUserId;

    /**
     * 提交人姓名
     */
    private String propUserName;

    /**
     * 创建时间
     */
    private Date propCtime;

    /**
     * 修改时间
     */
    private Date propMtime;

    /**
     * 推广类型
     */
    private Integer propPromotion;



}
