package com.pms.ocp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.pms.ocp.model.vo.ApiRequirentVo;
import com.pms.ocp.model.vo.OcpApiGroupVo;
import com.pms.ocp.model.vo.OcpApiRequirementVo;
import com.pms.ocp.model.vo.ResponseVO;

import java.util.List;

public interface OcpApiReqService extends IService<OcpApiRequirementVo> {

    ResponseVO<PageInfo<OcpApiRequirementVo>> OcpApiReq(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> OacrTree(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> OacrTreeCenter(OcpApiRequirementVo ocpApiRequirementVo);

    ApiRequirentVo selectOarcList(String apiCode);

    ResponseVO<PageInfo<OcpApiRequirementVo>> OcpApiReqAcc(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> selectOcpApiReqAcc(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> OcpApiCheck(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> OarcCheck(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> OacrTreeApi(OcpApiRequirementVo ocpApiRequirementVo);

    ResponseVO<List<OcpApiRequirementVo>> getOcpTenantApiList(OcpApiRequirementVo ocpApiRequirementVo);

}
