package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.entity.Model;
import com.pms.ocp.model.entity.OcpApiBase;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**Author：zhaochengming
 * 模型关系表
 */
@Mapper
public interface OcpBaseMapper  extends BaseMapper<Model> {


    /**
     * 根据modelCode查询模型信息
     * @param modelCode
     * @return
     */
    List<Model> selectModelBase(String modelCode);


    //根据apiCode查询服务对象
    OcpApiBase selectCode(String apiCode);


}
